Symbol files
Get symbol file metadata by build ID
Authorization
API key Symbol files: readAuthorizationBearer <token>
API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.
In: header
Scope: Symbol files: read
Path Parameters
workspaceId*string
Format
uuidbuildId*string
Response Body
application/json
curl -X GET "https://example.com/workspaces/00000000-0000-0000-0000-000000000001/symbol-files/build-id/8f3a1c9e2b7d4506/metadata"Symbol file matching the build ID.
{ "id": "f1Lk64dHs7Xa", "alias": "thermostat-application-2.4.1", "buildId": "8f3a1c9e2b7d4506", "buildIdParsingState": "Succeeded", "createdAt": "2026-01-10T15:32:00+00:00", "firmwareVersions": [ { "id": "r2Kt75mXc8Vd", "name": "2.4.1" } ], "firmware": { "id": "q8Fd53pLn1Yr", "name": "Thermostat application" }, "os": "Zephyr"}